Index: hkit.class.php
===================================================================
--- hkit.class.php	(revision 14)
+++ hkit.class.php	(working copy)
@@ -334,7 +334,14 @@
 		
 		private function loadDoc($input_xml, $fragment=false)
 		{
-			$xml 		= simplexml_load_string($input_xml);
+                        // Added error suppression due to a bug in W3C tidy
+                        // Some really poorly authored websitess, such as: http://www.jotyler.com/
+                        // Are not fully tidied and make simplexml throw warnings
+			$xml 		= @simplexml_load_string($input_xml);
+
+                        // Added base reset because multiple calls to hKit could interfere with each other
+                        // (wrong base being already set etc.)
+                        $this->base = "";
 			
 			$this->doc	= $xml;
 			
@@ -497,4 +504,4 @@
 	}
 
 
-?>
\ No newline at end of file
+?>
